TAAS - Feature #233

BSP Statement
07/09/2023 03:49 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: BSP Statement

Description

Coding BSP Statement

History

#1 - 09/12/2023 10:48 AM - Anil KV

Solution

1) GUI Changes

—->Issue Date* (Default) and Supplier Bill Date* toggle

—Consider Items —-> Like Customer Sale & Refund Report - Tick All Items

-Only BSP Suppliers

2) Summary

— Issued, Cancelled, ADM, ACM, Credit Note, Debit Note, Other

*Issue, ADM, Credit Note, Other(Cr) -> Cr=Supplier Amount

*Cancelled, ACM, Debit Note, Other (Dr) -> Dr=Supplier Amount, amounts are -ve
3) Issue

SELECT spd.vhr_supp_doc_no,

spd.dat_issue,

spd.dat_sup_billing_issue,

spd.dat_sale,

spd.vhr_invoice_doc_no,

(spd.jsn_related_data->'AIR_NUM_CODE'::VARCHAR) AS vhr_airline_num_code,

sfr.vhr_currency,

(sfr.dbl_fare - sfr.dbl_fare_paid_agency_cc - sfr.dbl_fare_paid_cust_cc - sfr.dbl_fare_paid_pax_cc - s
fr.dbl_fare_shared_supplier - sfr.dbl_fare_shared_account) AS dbl_mf_credit,

(sfr.dbl_fare_paid_agency_cc + sfr.dbl_fare_paid_cust_cc + sfr.dbl_fare_paid pax_cc) AS dbl_mf_cash,

(sfr.dbl_tax - sfr.dbl_tax_paid_agency_cc - sfr.dbl_tax_paid_cust_cc - sfr.dbl_tax_paid _pax_cc - sfr.d
bl_tax_shared_supplier - sfr.dbl_tax_shared_account) AS dbl_tax_credit,

(sfr.dbl_tax_paid_agency_cc - sfr.dbl_tax_paid _cust_cc - sfr.dbl_tax_paid pax_cc) AS dbl_tax_cash,

sfr.dbl_comm_percentage,

(sfr.dbl_commission - sfr.dbl_commission_shared_supplier - sfr.dbl_commission_shared_account) AS dbl_c
ommission,

sfr.dbl_paid_commission_tax,

(sfr.dbl_supplier_amount - sfr.dbl_supplier_payable_shared_supplier - sfr.dbl_supplier_payable_shared_
account) AS dbl_supplier_amount,

(sfr.dbl_supplier_amount - sfr.dbl_supplier_paid_agency_cc - sfr.dbl_supplier_paid_cust_cc - sfr.dbl_s
upplier_paid_pax_cc - sfr.dbl_supplier_payable_shared_supplier - sfr.dbl_supplier_payable_shared_account) AS d
bl_supplier_payable

FROM service.tbl_supp_doc_ap_sup_sharing sups
INNER JOIN service.tbl_supp_doc_no spd
ON sups.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
AND sups.sin_supp_doc_category = 1
AND sups.sin_record_type = 1
AND spd.sin_last_action != 0
LEFT JOIN service.tbl_supp_doc_fare sfr
ON sups.fk_supp_doc_sup_ledg_fare_id = sfr.pk_supp_doc_fare_id --Input currency base
——-WHERE

——AND (spd.sin_sys_sale_side_status = IN (1,2),

——AND spd.dat_issue BETWEEN '2023-08-08' AND '2023-08-08' //Bill Date Case -> AND ((spd.dat_sup_billin
g_issue IS NOT NULL AND spd.dat_sup_billing_issue BETWEEN '2023-08-08' AND '2023-08-08') OR spd.dat_sup_billin
g_issue IS NULL AND spd.dat_issue BETWEEN '2023-08-08' AND '2023-08-08")
4) Cancel
SELECT spd.vhr_supp_doc_no,

spd.dat_cancel,

spd.dat_sup_billing_cancel,

spd.dat_refund,

spd.vhr_refund_doc_no,

(spd.jsn_related_data->'AIR_NUM_CODE'::VARCHAR) AS vhr_airline_num_code,

sfr.vhr_currency,

(sfr.dbl_fare - sfr.dbl_fare_paid_agency_cc - sfr.dbl_fare_paid_cust_cc - sfr.dbl_fare_paid pax_cc - s
fr.dbl_fare_shared_supplier - sfr.dbl_fare_shared_account) AS dbl_mf_credit,

(sfr.dbl_fare_paid_agency_cc + sfr.dbl_fare_paid_cust_cc + sfr.dbl_fare_paid_pax_cc) AS dbl_mf_cash,

(sfr.dbl_tax - sfr.dbl_tax_paid_agency_cc - sfr.dbl_tax_paid_cust_cc - sfr.dbl_tax_paid_pax_cc - sfr.d
bl_tax_shared_supplier - sfr.dbl_tax_shared_account) AS dbl_tax_credit,

(sfr.dbl_tax_paid_agency_cc - sfr.dbl_tax_paid_cust_cc - sfr.dbl_tax_paid_pax_cc) AS dbl_tax_cash,

sfr.dbl_comm_percentage,

(sfr.dbl_commission - sfr.dbl_commission_shared_supplier - sfr.dbl_commission_shared_account) AS dbl_c
ommission,

sfr.dbl_paid_commission_tax,

(sfr.dbl_sup_rfd_charge - sfr.dbl_sup_rfd_charge_paid_agency_cc - sfr.dbl_sup_rfd_charge_paid_cust_cc
- sfr.dbl_sup_rfd_charge_paid_pax_cc - sfr.dbl_sup_rfd_charge_shared_supplier - sfr.dbl_sup_rfd_charge_shared_
account) AS dbl_sup_rfd_charge_cash,

(sfr.dbl_sup_rfd_charge_paid_agency_cc + sfr.dbl_sup_rfd_charge_paid_cust_cc + sfr.dbl_sup_rfd_charge_
paid_pax_cc) AS dbl_sup_rfd_charge_cash,

(sfr.dbl_supplier_amount - sfr.dbl_supplier_payable_shared_supplier - sfr.dbl_supplier_payable_shared_
account) AS dbl_supplier_amount,

(sfr.dbl_supplier_amount - sfr.dbl_supplier_paid_agency_cc - sfr.dbl_supplier_paid_cust_cc - sfr.dbl_s
upplier_paid_pax_cc - sfr.dbl_supplier_payable_shared_supplier - sfr.dbl_supplier_payable_shared_account) AS d
bl_supplier_receivable

FROM service.tbl_supp_doc_ap_sup_sharing sups
INNER JOIN service.tbl_supp_doc_no spd
ON sups.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
AND sups.sin_supp_doc_category = 1
AND sups.sin_record_type 2
AND spd.sin_last_action != 0
LEFT JOIN service.tbl_supp_doc_fare sfr
ON sups.fk_supp_doc_sup_ledg_fare_id = sfr.pk_supp_doc_fare_id —--Input currency base
——WHERE

——AND (spd.sin_sys_sale_side_status = IN (1,2),

—-—AND spd.dat_cancel BETWEEN '2023-08-08' AND '2023-08-08' //Bill Date Case -> AND ((spd.dat_sup_billi
ng_cancel IS NOT NULL AND spd.dat_sup_billing_cancel BETWEEN '2023-08-08' AND '2023-08-08') OR spd.dat_sup_bil
ling_cancel IS NULL AND spd.dat_cancel BETWEEN '2023-08-08' AND '2023-08-08")

5) ADM/ACM, CN/DN, Other -> vhr_sys_module_name base grouping in .cs

SELECT tr.vhr_sys_module_name,
doc.vhr_document_no,
tr.dat_transaction,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
tr.vhr_reference,
tr.txt_narration
--jsn_related_data

FROM transaction.tbl_transaction tr
LEFT JOIN document.tbl_documents doc

ON tr.fk_documents_id = doc.pk_documents_id

WHERE tr.sin_posting_status = 1
AND tr.sin_transaction_status = 1
AND tr.sin_document_status = 1
—-—AND tr.fk_ledger_id = 1
——AND tr.fk_branch_id = 1
——AND tr.fk_department_id =1

ORDER BY tr.dat_transaction

#2 - 09/12/2023 06:52 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 10/07/2023 12:39 PM - Junaid M

- Assignee changed from travvise Admin to Athul P

#4 - 03/07/2024 02:53 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20
#5 - 08/02/2024 11:41 AM - Anonymous

- Assignee changed from Athul P to Augustin Jose

#6 - 08/07/2024 03:29 PM - Augustin Jose
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#7 - 08/19/2024 10:18 AM - Augustin Jose
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 08/19/2024 03:44 PM - unnikannan S
- Status changed from Coding Done to Testing Started

#9 - 08/19/2024 04:26 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Show Amounts In List As Right Allign

2.Not Working Base 2 Currency Wise Search

3.Correct The Icon Of New,Print Buttons

4.Clear Invoice Date Showing In List In Case Of No Sale
5.Fix The Working Of Tool Bars In Grid

6.Fix The Working Of Supplier Date

7.Allow A Gap Between Columns While Choosing Supplier On Supplier Auto Complete Field

8.Dn/Cn Name Show As Capital On List And Column
9.Show Issue Date In Print

#10 - 08/20/2024 02:29 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 09/25/2024 05:18 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Not Loading Data That Directly Saved In Cancel Modules

#12 - 10/01/2024 05:36 PM - Arathy PS
ISSUE FOUND

1) Showing invoice date for ticket that is only issued.
2) Data not showing in DN/CN tab.

#13 - 10/10/2024 09:56 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 10/26/2024 11:17 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Show ROE Wise Amount Change In Issued/Cancel Tabs
2.Missing Precision Cancelled Tab STD%

#15 - 10/28/2024 06:22 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 11/05/2024 03:51 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.1. Document not reloading to payment+ and receipt+ modules

#17 - 11/06/2024 02:50 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 11/22/2024 05:27 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data not showing in other tab.

#19 - 11/23/2024 12:09 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 11/23/2024 03:40 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#21 - 11/29/2024 06:32 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Not showing voucher from package, other issue, hotel issue, visa issue.

2. Not showing 'No data found' message on selecting currencies that are not used in transaction.

#22 - 12/03/2024 05:09 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#23 - 12/04/2024 06:52 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#24 - 01/16/2025 12:36 PM - Arathy PS

- File clipboard-202501161228-mzlvi.png added
- File clipboard-202501161229-17x17.png added
- File clipboard-202501161232-jlrur.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 90 to 50

ISSUE FOUND

1. In summary tab total of other tabs are also showing

Bsp Statement Summary Report

Issue Date : 16/01/2025 Branch Al
Currency : Base1(QAR) Supplier : Al
Consider . Issued, Sale, Cancel, Refund

Items MfCredit MfCash TaxCredit TaxCash  StdAmount Net Payable
Issued 3670.00 550.00 30.00 50.00 30.00 3710.00
Cancelled 0.00 0.00 0.00 0.00 0.00 0.00
ADM/ACM 0.00 0.00 0.00 0.00 0.00 0.00
Debit/Credit 0.00 0.00 0.00 0.00 0.00 0.00
Note
Other 2100.00 0.00 0.00 0.00 0.00 0.00
Total 2020.00 0.00 0.00 0.00 0.00 2020.00
Total 3020.00 0.00 0.00 0.00 0.00 2020.00
Total 4120.00 0.00 0.00 0.00 0.00 2020.00
Total 5620.00 500.00 0.00 60.00 20.00 3520.00
Total 5620.00 500.00 40.00 20.00 20.00 3560.00
Total 5620.00 500.00 40.00 20.00 20.00 3560.00
Total 5620.00 500.00 40.00 20.00 20.00 3560.00
Total 5620.00 500.00 40.00 20.00 20.00 3560.00
Total 5620.00 500.00 40.00 20.00 20.00 3560.00
Total 5720.00 500.00 40.00 20.00 20.00 3660.00
Total 5720.00 500.00 50.00 20.00 20.00 3670.00
Total 5720.00 500.00 50.00 20.00 25.00 3665.00
Total 5770.00 550.00 50.00 30.00 30.00 3710.00

2. When we do AP sharing that ticket appears two times in the issue tab.
BSP Statement

Supplier Date”~  1g/01/2025 6/01/2025 Branch® a - Consider ssues 3 more -
23 pose
Suppliert curency’  Base(QAR) v
Summary Issued Cancelled ADM/ACM DN/CN  Other

T a B B o

Issue Date Billing Date Airline Ticket MF Credit MF Cash Tax Credit Tax Cash STD % | STD Amount Supplier Amount Net Payable Invoice Date Invoice No

16/01/2025 519 1000 1005.00 0.00 0.00 0.00 0.00 0.00 1005.00 1005.00 16/01/2025 INV/001 &
16/01/2025 390 1002 1015.00 0.00 0.00 0.00 0.00 0.00 1015.00 1015.00 &
16/01/2025 519 1003 750.00 250,00 2000 10.00 1.00 10.00 1020.00 770.00 &
16/01/2025 519 1003 750,00 250,00 20.00 10.00 1.00 10.00 1030.00 770.00 4
16/01/2025 832 1004 75.00 25.00 5.00 5.00 5.00 5.00 105.00 75.00 &
16/01/2025 832 1004 75.00 25.00 5.00 5.00 5.00 5.00 105.00 75.00 rd
16/01/2025 698 1005 1000.00 0.00 10,00 0.00 0.50 5.00 1005.00 1005.00 &

3. In the other column should show net payable and supplier amount if it is a credit entry.
4. In the print wrong amount in tax credit and tax cash.

100% + HEE)

Currency : Base1(QAR) Supplier 2 All
Consider : Issued, Sale, Cancel, Refund

Items MfCredit MfCash TaxCredit TaxCash  StdAmount Net Payable
Issued 200.00 0.00 0.00 10.00 10.00 210.00
Cancelled 0.00 0.00 0.00 0.00 0.00 0.00
ADM/ACM 0.00 0.00 0.00 0.00 0.00 0.00
Debit/Credit 0.00 0.00 0.00 0.00 0.00 0.00
Note
Other 100.00 0.00 0.00 0.00 0.00 0.00
Total 300.00 0.00 10.00 0.00 10.00 210.00

5. Not redirecting to sale if the ticket is sold.
6. Give redirection to the ticket no: and invoice no:

#25 - 01/20/2025 09:38 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 01/27/2025 11:40 AM - Arathy PS
- File clipboard-202501271140-aizoz.png added

ISSUE FOUND

1. Give redirection to the ticket no: and invoice no:
2.
BSP Statement

. Jravyise

lssued Date* = 270 27/01/2025 Branch® ai - Consider
Supplier” Currency* | Basel(QAR) v
summary ssued Cancelled ADM/ACM DN/CN  Other
T a !
Items MF Credit MF Cash Tax Credit Tax Cash STD Amount Supplier Amount N
No data

[0  Elements Console  Sources  Network  Performance  Memory  Application  Security Lighthouse  Recorder

@ twpv @© ¥ Filter Default levels v

[webpack-dev-server] Live Reloading enabled.
»You are running production build of Inferno in development mode. Use dew:module entry point.
Angular is running in development mode. Call enableProdMode() to enable production mode.

| »ERROR RuntimeError: NG@1@@: Expr
at throwErrorIfNoChangesMode (main.
at bindingUpdated (main.js:18684
at Module.eoproperty (main.js:
at AppComponent_Template (m
at executeTemplate (main
at refreshView (main.
at refresnComponent (main.js:186
at refreshChildComponents (mai
at refreshView (main.js:18656
at detectChangesInternal (mail

| »[Deprecation] Listener added for a 'DOMHodeInserted’ mutation event. Support for this event type has been removed, and this event will no longer be fired. See https:

ionChangedAfter! ‘false’. Current value: ‘true’. Find more at hitps://angular.io/errors/NG@108

:1861016:9)

ror: Expression has changed after it was checked. Previous value for 'hidden’:

chr .com/feature/588394724917246@ for more information.

Error-» BSP STATEMENT.COMPONENT.TS#882: Error: Select Supplier

#27 - 01/27/2025 11:40 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#28 - 01/28/2025 10:24 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
